org.jboss.netty.channel

## Interface WriteCompletionEvent

- All Superinterfaces:
    ChannelEvent
  All Known Implementing Classes:
    DefaultWriteCompletionEvent

      public interface WriteCompletionEvent
      extends ChannelEvent

  A `ChannelEvent` which represents the notification of the completion of a write request on a `Channel`. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getWrittenAmount()` Returns the amount of data written.

    - ### Methods inherited from interface org.jboss.netty.channel.ChannelEvent

      `getChannel, getFuture`

- - ### Method Detail

    - #### getWrittenAmount

          long getWrittenAmount()

      Returns the amount of data written.
      Returns:
        the number of written bytes or messages, depending on the type of the transport

Copyright © 2008-2012 The Netty Project. All Rights Reserved.